DROP database IF EXISTS  db_user;

create database db_user;

DROP TABLE IF EXISTS user;


create table user
(
    username     varchar(256)                                                                                      null comment '用户昵称',
    id           bigint auto_increment comment 'id'
        primary key,
    userAccount  varchar(256)                                                                                      null comment '账号',
    avatarUrl    varchar(1024) default 'https://pic.code-nav.cn/user_avatar/1610518142000300034/YeedIoq3-logo.png' null comment '用户头像',
    gender       tinyint       default 2                                                                           null comment '性别',
    userPassword varchar(512)                                                                                      not null comment '密码',
    phone        varchar(128)                                                                                      null comment '电话',
    email        varchar(512)                                                                                      null comment '邮箱',
    userStatus   int           default 0                                                                           not null comment '状态 0 - 正常',
    createTime   datetime      default CURRENT_TIMESTAMP                                                           null comment '创建时间',
    updateTime   datetime      default CURRENT_TIMESTAMP                                                           null on update CURRENT_TIMESTAMP comment '更新时间',
    isDelete     tinyint       default 0                                                                           not null comment '是否删除',
    userRole     int           default 0                                                                           not null comment '用户角色 0 - 普通用户 1 - 管理员',
    planetCode   varchar(512)                                                                                      null comment '星球编号'
)
    comment '用户';


