package cc.bnblogs.usercenterbackend.common;

import lombok.Data;

import java.io.Serializable;

/**
 * @description: 通用返回类
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/15 14:34
 */
@Data
public class BaseResponse<T> implements Serializable {
    private static final long serialVersionUID = 3082850285091730120L;
    /**
     * 状态码
     */
    private int code;
    /**
     * 返回的实际数据
     */
    private T data;
    /**
     * 状态码描述
     */
    private String message;

    /**
     * 详情，一般在错误中使用
     */
    private String description;


    public BaseResponse(int code, T data, String message,String description) {
        this.code = code;
        this.data = data;
        this.message = message;
        this.description = description;
    }

    public BaseResponse(int code, T data) {
        this.code = code;
        this.data = data;
        this.message = "";
        this.description = "";
    }

    public BaseResponse(int code, T data, String message) {
        this.code = code;
        this.data = data;
        this.message = message;
        this.description = "";
    }

    public BaseResponse(ErrorCode code) {
        this(code.getCode(),null,code.getMessage(),code.getDescription());
    }
}
