package cc.bnblogs.usercenterbackend.common;

/**
 * @description: 错误码
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/15 15:20
 */
public enum ErrorCode {
    /**
     * 部分业务状态码
     */
    SUCCESS(0,"ok",""),
    PARAMS_ERROR(40000,"请求参数错误",""),
    NULL_ERROR(40001,"返回数据为null",""),
    NOT_LOGIN(40100,"用户未登录",""),
    NOT_ADMIN(40101,"无权限",""),
    SYSTEM_ERROR(50000,"系统内部异常","");
    /**
     * 状态码
     */
    private final int code;
    /**
     * 状态码描述
     */
    private final String message;

    /**
     * 详情
     */
    private final String description;

    ErrorCode(int code, String message, String description) {
        this.code = code;
        this.message = message;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getDescription() {
        return description;
    }
}
