package cc.bnblogs.usercenterbackend.common;

/**
 * @description: 返回结果工具类
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/15 15:03
 */
public class ResultUtils {
    /**
     * 操作成功
     * @param data 返回的实际数据
     * @return
     * @param <T> 数据的类型
     */
    public static <T> BaseResponse<T> success(T data) {
        return new BaseResponse<>(0,data,"ok","请求成功");
    }

    /**
     * 操作失败
     * @param errorCode 自定义错误码
     * @param message 自定义消息
     * @param description 自定义详情
     * @return
     */
    public static BaseResponse error(ErrorCode errorCode,String message,String description) {
        return new BaseResponse<>(errorCode.getCode(),null,message,description);
    }

    /**
     * 操作失败
     * @param code 错误码
     * @param message 信息
     * @param description 详情
     * @return
     */

    public static BaseResponse error(int code, String message, String description) {
        return new BaseResponse<>(code,null,message,description);
    }
}
