package cc.bnblogs.usercenterbackend.exception;

import cc.bnblogs.usercenterbackend.common.BaseResponse;
import cc.bnblogs.usercenterbackend.common.ErrorCode;
import cc.bnblogs.usercenterbackend.common.ResultUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @description: 全局异常处理器
 * @author: zfp@bnblogs.cc
 * @date: 2023/3/15 16:15
 */
@RestControllerAdvice
@Slf4j
public class GlobalExceptionHandler {
    /**
     * 针对我们自定义的异常类BusinessException来处理
     * @return
     */
    @ExceptionHandler(BusinessException.class)
    public BaseResponse businessExceptionHandler(BusinessException e) {
        log.error("BusinessException:" + e.getMessage(),e);
        return ResultUtils.error(e.getCode(),e.getMessage(),e.getDescription());
    }

    @ExceptionHandler(RuntimeException.class)
    public BaseResponse runtimeExceptionHandler(RuntimeException e) {
        log.info("RuntimeException: " + e);
        return ResultUtils.error(ErrorCode.SYSTEM_ERROR,e.getMessage(),"系统内部错误");
    }

}
