package cc.bnblogs.usercenterbackend.service;

import cc.bnblogs.usercenterbackend.model.User;
import com.baomidou.mybatisplus.extension.service.IService;
import javax.servlet.http.HttpServletRequest;

/**
* @author zfp@bnblogs.cc
* @description 针对表【user(用户)】的数据库操作Service
* @createDate 2023-03-13 17:18:58
*/
public interface UserService extends IService<User> {

    /**
     * 用户注册
     * @param userAccount 登录账户名称(不是昵称)
     * @param userPassword 用户密码
     * @param checkPassword 二次密码
     * @param planetCode 星球编号
     * @return 新用户id
     */
    long userRegister(String userAccount,String userPassword,String checkPassword, String planetCode);

    /**
     * 用户登录
     * @param userAccount 登录的账户名
     * @param userPassword 密码
     * @param request 设置会话
     * @return 脱敏后的用户信息
     */
    User userLogin(String userAccount, String userPassword, HttpServletRequest request);

    /**
     * 对用户信息进行脱敏
     * @param originUser 原始的用户信息
     * @return 脱敏的用户信息
     */
    User getSafetyUser(User originUser);

    /**
     * 用户注销
     *
     * @param request
     */
    int userLogout(HttpServletRequest request);
}
