package cc.bnblogs.usercenterbackend;

import cc.bnblogs.usercenterbackend.service.UserService;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.util.DigestUtils;

import javax.annotation.Resource;

@SpringBootTest
class UserCenterBackendApplicationTests {

    @Resource
    private UserService userService;
    @Test
    void contextLoads() {
        // 密码加密
        String newPassword = DigestUtils.md5DigestAsHex(("abcd" + "mypassword").getBytes());
//        String newPassword_1 = DigestUtils.md5DigestAsHex(("abcd" + "mypassword").getBytes());

        System.out.println(newPassword);

    }

    @Test
    void testRegisterUser() {
        String userAccount = "aaaa";
        String userPassword = "12345678";
        String checkPassword = "";
        String planetCode = "22";
        // 测试字段为空
        long result = userService.userRegister(userAccount, userPassword, checkPassword,planetCode);
        Assertions.assertEquals(-1, result);
        // 测试账户名长度
        userAccount = "aaa";
        result = userService.userRegister(userAccount, userPassword, checkPassword,planetCode);
        Assertions.assertEquals(-1, result);

        // 测试账户名是否包含特殊字符
        userAccount = "hjsdu$ ";
        result = userService.userRegister(userAccount, userPassword, checkPassword,planetCode);
        Assertions.assertEquals(-1, result);

        // 测试密码不少于8位
        userAccount = "aaaa";
        userPassword = "123456";
        result = userService.userRegister(userAccount, userPassword, checkPassword,planetCode);
        Assertions.assertEquals(-1, result);

        // 测试两次密码输入是否一致
        userPassword = "12345678";
        checkPassword = "123456789";
        result = userService.userRegister(userAccount, userPassword, checkPassword,planetCode);
        Assertions.assertEquals(-1, result);

        // 正确插入
        userPassword = "12345678";
        checkPassword = "12345678";
        result = userService.userRegister(userAccount, userPassword, checkPassword,planetCode);
        Assertions.assertTrue(result > 0);


    }
}
