import { GithubOutlined, LinkOutlined } from '@ant-design/icons';
import { DefaultFooter } from '@ant-design/pro-components';
const Footer: React.FC = () => {
  const defaultMessage = '蚂蚁集团体验技术部出品';
  const currentYear = new Date().getFullYear();
  return (
    <DefaultFooter
      copyright={`${currentYear} ${defaultMessage}`}
      links={[
        {
          key: 'blog',
          title: <><LinkOutlined />Blog</>,
          href: 'https://hugo.bnblogs.cc',
          blankTarget: true,
        },
        {
          key: 'github',
          title: <GithubOutlined />,
          href: 'https://github.com/seminorm/',
          blankTarget: true,
        },
        {
          key: 'baidu',
          title: <><LinkOutlined />Baidu</>,
          href: 'https://www.baidu.com',
          blankTarget: true,
        },
      ]}
    />
  );
};
export default Footer;
